For the complete documentation index, see llms.txt. This page is also available as Markdown.

GET Widget by ID

Get merchant's widget by Uuid

get

Get merchant's widget by Uuid

This endpoint is used to get merchants's widget by widget's Uuid.

Request

Headers

  • Authorization: Bearer {{ORGANIZATION_API_KEY}}

Response

  • Status: 200 OK

  • Content Type: application/json

Response Body

{
  "data": {
      "id": string,
      "apiKey": string,
      "status": Enum['Active', 'Inactive']
      "name": string,
      "description": string,
      "merchant": string,
      "assetsByBlockchain": {
         "blockchain": Enum('ethereum', 'tron', 'binance-smart-chain', 'MATIC', 'bitcoin'),
         "assets": [
          Enum('USDT', 'USDC', 'ETH', 'MATIC','BNB', 'TRX', 'BTC')
       ],
       "confirmationsAmount": number, // min 1
       "expirationTime": number,
       "expirationTimeAction": Enum('FailRequest', 'UpdateRate')
     },
     "reusableAddress": boolean,
     "sweepingGasTolerance": number,
     "aggregationWallet": string,
     "sweepingFrequency": {
        "type":Enum('Daily', 'Weekly'),
        "period": string, // Represents either "08:00:00" or "Monday 09:00:00"
      },
      "acceptPartialPayment": boolean,
      "sweepingCost": Enum('Merchant', 'Customer'),
      "webhookUrl": string,
      "redirectUrl": string,
      "purchasesToday": number,
      "purchasesTotal": number,
      "incomeToday": number,
      "incomeTotal": number,
      "balance": number    
   }
}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

OK

application/json
Responseobject
get/v1/merchant/widget/da9f2521-0167-436a-9f04-3bcc9dcad182
GET /v1/merchant/widget/da9f2521-0167-436a-9f04-3bcc9dcad182 HTTP/1.1
Host: {{base_url}}
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "data": {
    "id": "21a12efa-33c5-4461-8d03-2449391b549a",
    "status": "Active",
    "name": "MyFirstWidget",
    "description": "Some nice description",
    "merchant": "Merchant #1",
    "blockchainAssets": [
      {
        "blockchain": "ethereum",
        "expirationTime": 3,
        "confirmationsAmount": "3",
        "expirationTimeAction": "UpdateRate",
        "assets": [
          "USDC",
          "ETH"
        ]
      },
      {
        "blockchain": "tron",
        "expirationTime": 5,
        "confirmationsAmount": "5",
        "expirationTimeAction": "UpdateRate",
        "assets": [
          "TRX",
          "USDT"
        ]
      }
    ],
    "reusableAddress": true,
    "sweepingGasTolerance": "20.00000000",
    "aggregationWallet": "dd32332trgdjdrawe",
    "sweepingFrequency": {
      "type": "Daily",
      "period": "14:00:00"
    },
    "acceptPartialPayment": true,
    "sweepingCost": "Customer",
    "webhookUrl": "http://merchant-site.com",
    "redirectUrl": "http://redirect-url.com",
    "purchasesToday": 0,
    "purchasesTotal": 0,
    "incomeToday": 0,
    "incomeTotal": 0,
    "balance": 0
  }
}

Last updated